DSRW_PROTO_READ_FUNC(3)

PROTO_FUNC
dsrw_PROTO_read_func - Read data and write to a buffer.

SYNOPSIS
#include <karma_dsrw.h>

flag dsrw_PROTO_read_func

(void *buffer, uaddr num_values, void *info)

DESCRIPTION
Read data and write to a buffer.

buffer
    The buffer to write to.

num_values
    The number of values to read.

info
    The arbitrary function information pointer.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/